xsltproc_1.1.29-5_amd64.deb


Advertisement

Description

xsltproc - XSLT 1.0 command line processor

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name xsltproc
Package version 1.1.29
Package release 5
Package architecture amd64
Package type deb
Installed size 153 B
Download size 13.63 KB
Official Mirror archive.ubuntu.com
XSLT is an XML language for defining transformations of XML files from
XML to some other arbitrary format, such as XML, HTML, plain text, etc.
using standard XSLT version 1.0 stylesheets.
This package contains a command line tool that facilitates XSLT
transformations.

Alternatives

Package Version Architecture Repository
xsltproc_1.1.29-5_i386.deb 1.1.29 i386 Ubuntu Main
xsltproc - - -

Requires

Name Value
libc6 >= 2.4
libxml2 >= 2.7.4
libxslt1.1 >= 1.1.25

Download

Type URL
Binary Package xsltproc_1.1.29-5_amd64.deb
Source Package libxslt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install xsltproc deb package:
    # sudo apt-get install xsltproc

Files

Path
/usr/bin/xsltproc
/usr/share/doc/xsltproc/AUTHORS
/usr/share/doc/xsltproc/FEATURES.gz
/usr/share/doc/xsltproc/NEWS.gz
/usr/share/doc/xsltproc/README
/usr/share/doc/xsltproc/TODO
/usr/share/doc/xsltproc/changelog.Debian.gz
/usr/share/doc/xsltproc/copyright
/usr/share/man/man1/xsltproc.1.gz

Changelog

2017-11-15 - Mattia Rizzolo <mattia@debian.org>
libxslt (1.1.29-5) unstable; urgency=medium
* Team upload.
* Refresh patches using Gbp Pq.
* Add patch from upstream to fix FTBFS in ia64.  Closes: #881818
* Declare that libxslt can be built without root, R³:no.
2017-11-05 - Mattia Rizzolo <mattia@debian.org>
libxslt (1.1.29-4) unstable; urgency=medium
* Team upload.
* Upload to unstable.
* Add patch from upstream to fix FTBFS with glibc 2.26.  Closes: #880038
2017-10-28 - Mattia Rizzolo <mattia@debian.org>
libxslt (1.1.29-3) experimental; urgency=medium
* Team upload.
* d/upstream/signing-key.asc: add Daniel Veillard's gpg key to allow
cryptographic verification of the upstream tarballs.
* d/patches/0003-fix-typo.patch: forward to upstream.
* d/control: Bump Standards-Version to 4.1.1:
+ Move packages from the deprecated section:extra to section:optional.
* d/rules:
+ Use /usr/share/dpkg/architecture.mk instead of calling dpkg-architecture.
+ Let dh_auto_configure deal with buildflags from the environment, and
use dpkg-buildflags to set -Wl,--as-needed.
+ Move xsltconfig.h to a multi-arch location.  Closes: #834714
Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> for the initial patch.
2017-10-13 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libxslt (1.1.29-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Build-Depends on rename, fixes FTBFS, thanks Adrian Bunk (Closes: #876601)
* Build-Depends on libgcrypt20-dev instead of transitional libgcrypt11-dev,
thanks Andreas Metzler (Closes: #864120)
[ Helmut Grohne ]
* Fix FTCBFS: (Closes: #841384)
+ Drop unsatisfiable binutils dependency: Always satisfied natively even
in wheezy.
+ Use cross-compatible python Build-Depends.
+ Annotate Build-Depends: perl with :any.
+ Do not pass CC=cc to configure.
2017-03-26 - Salvatore Bonaccorso <carnil@debian.org>
libxslt (1.1.29-2.1) unstable; urgency=high
* Non-maintainer upload.
* Check for integer overflow in xsltAddTextString (CVE-2017-5029)
(Closes: #858546)
2016-10-30 - Mattia Rizzolo <mattia@debian.org>
libxslt (1.1.29-2) unstable; urgency=high
* Team upload.
* Bump debhelper compat level to 10.
+ --parallel is now default
+ --with autoreconf is now default
* Add patch from upstream to fix a heap overread which could cause remote
arbitrary code execution or denial of service.
Closes: #842570 — CVE-2016-4738
2016-08-17 - YunQiang Su <syq@debian.org>
libxslt (1.1.29-1) unstable; urgency=medium
* Imported Upstream version 1.1.29 (Closes: #826446)
* Remove patches which have been merged upstream
* Remove plugin option in xslt-config as it has arch-dep string
* Link libxslt with libm (Closes: #801989, #721602)
* Add --parallel in debian/rules.
2016-05-20 - Mattia Rizzolo <mattia@debian.org>
libxslt (1.1.28-4) unstable; urgency=medium
* Team upload.
* Replace the SOURCE_DATE_EPOCH patch with the one actually committed upstream
2016-05-09 - Mattia Rizzolo <mattia@debian.org>
libxslt (1.1.28-3) unstable; urgency=medium
[ Gianfranco Costamagna ]
* Team upload.
* Upload to unstable.
* Bump std-version to 3.9.8.
* Acknowledge previous NMU, thanks carnil!
* Add dh-python to build-depends
[ Jérémy Bobbio ]
* Add a patch from upstream to make generate-id() provide stable IDs.
Thanks to Daniel Veillard.  Closes: #823857
[ Dhole ]
* Honour SOURCE_DATE_EPOCH when embedding timestamps in docs.  Closes: #791815
[ Mattia Rizzolo ]
* Run wrap-and-sort.
* Use HTTPS in Vcs-* fields.
2015-10-30 - Salvatore Bonaccorso <carnil@debian.org>
libxslt (1.1.28-2.1) unstable; urgency=high
* Non-maintainer upload.
* Add 0009-Fix-for-type-confusion-in-preprocessing-attributes.patch patch.
CVE-2015-7995: Type confusion in preprocessing attributes leading to
denial of service. (Closes: #802971)

See Also

Package Description
xtrans-dev_1.3.5-1_all.deb X transport library (development files)
xul-ext-ubufox_3.4-0ubuntu1.17.10.1_all.deb Ubuntu modifications for Firefox
xwayland_1.19.6-1ubuntu4_amd64.deb Xwayland X server
xxd_8.0.1453-1ubuntu1_amd64.deb tool to make (or reverse) a hex dump
xz-utils_5.2.2-1.3_amd64.deb XZ-format compression utilities
yelp-xsl_3.20.1-4_all.deb XSL stylesheets for the yelp help browser
yelp_3.26.0-1ubuntu2_amd64.deb Help browser for GNOME
zeitgeist-core_1.0-0.1ubuntu1_amd64.deb event logging framework - engine
zenity-common_3.28.1-1_all.deb Display graphical dialog boxes from shell scripts (common files)
zenity_3.28.1-1_amd64.deb Display graphical dialog boxes from shell scripts
zerofree_1.0.4-1_amd64.deb zero free blocks from ext2, ext3 and ext4 file-systems
zfs-zed_0.7.5-1ubuntu15_amd64.deb OpenZFS Event Daemon
zfsutils-linux_0.7.5-1ubuntu15_amd64.deb command-line tools to manage OpenZFS filesystems
zip_3.0-11build1_amd64.deb Archiver for .zip files
zlib1g-dev_1.2.11.dfsg-0ubuntu2_amd64.deb compression library - development
Advertisement
Advertisement